## inkscape 0.91.0+47~ubuntu14.04.1

=== CMakeLists.txt ===
# CMake TODO
# - Remove hard coded defines (see bwelow)
# - Test on MinGW and OSX
# - Add configurable options for Python/Perl, see configure --help
#
# ideasman42

cmake_minimum_required(VERSION 2.8.0)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeScripts/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

project(inkscape)

set(INKSCAPE_VERSION 0.91)
set(PROJECT_NAME inkscape)
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
	cmake_policy(SET CMP0005 NEW) # propper define quoting
endif()

# workaround for omission in cmake 2.8.4's GNU.cmake, fixed in 2.8.5
if(CMAKE_COMPILER_IS_GNUCC)
	if(NOT DARWIN)
		set(CMAKE_INCLUDE_SYSTEM_FLAG_C "-isystem ")
	endif()
endif()

#-----------------------------------------------------------------------------
# Redirect output files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE )
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" FORCE )

# -----------------------------------------------------------------------------
# Options
# -----------------------------------------------------------------------------
option(WITH_DBUS "Compile with support for DBus interface" OFF)
option(ENABLE_LCMS "Compile with LCMS support" OFF)
option(WITH_GNOME_VFS "Compile with support for Gnome VFS" OFF)
#option(WITH_INKJAR "Enable support for openoffice files (SVG jars)" ON)

option(WITH_PROFILING "Turn on profiling" OFF) # Set to true if compiler/linker should enable profiling

option(WITH_GTKSPELL "Compile with support for GTK spelling widget" ON)
option(WITH_LIBWPG "Compile with support of libpoppler-cairo for WordPrefect Graphics" ON)
option(ENABLE_POPPLER "Compile with support of libpoppler" ON)
option(ENABLE_POPPLER_CAIRO "Compile with support of libpoppler-cairo for rendering PDF preview (depends on ENABLE_POPPLER)" ON)

include(CMakeScripts/ConfigPaths.cmake) # Installation Paths
include(CMakeScripts/DefineDependsandFlags.cmake) # Includes, Compiler Flags, and Link Libraries
include(CMakeScripts/HelperMacros.cmake) # Misc Utility Macros



# -----------------------------------------------------------------------------
# BAD HACKS, NEED TO INVESTIGATE MAKING THESE LESS BAD
add_definitions(-D_FORTIFY_SOURCE=2)
add_definitions(-DPOTRACE="potrace")
add_definitions(-DORBIT2=1)
add_definitions(-DHAVE_CONFIG_H)
add_definitions(-DHAVE_CAIRO_PDF=1)  # needed for src/libnrtype/Layout-TNG.h
add_definitions(-DHAVE_TR1_UNORDERED_SET) # XXX make an option!
#
# end badness
# -----------------------------------------------------------------------------


# make dist target
set(INKSCAPE_DIST_PREFIX "${PROJECT_NAME}-${INKSCAPE_VERSION}")
add_custom_target(dist svn export --force -q "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}/${INKSCAPE_DIST_PREFIX}" 
		COMMAND tar -czf "${CMAKE_BINARY_DIR}/${INKSCAPE_DIST_PREFIX}.tar.gz" -C "${CMAKE_BINARY_DIR}" --exclude=".hidden" ${INKSCAPE_DIST_PREFIX}
		WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}")

# make unistall target
configure_file(
		"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
		"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
		IMMEDIATE @ONLY)

configure_file(
		"${CMAKE_CURRENT_SOURCE_DIR}/inkscape.desktop.in"
		"${CMAKE_BINARY_DIR}/inkscape.desktop"
		IMMEDIATE @ONLY)

add_custom_target(uninstall
		"${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# -----------------------------------------------------------------------------
# Subdirs (on only 1 atm), but a lot happens here
# -----------------------------------------------------------------------------

add_subdirectory(src)


# -----------------------------------------------------------------------------
# Installation
# -----------------------------------------------------------------------------

if(UNIX)
	# TODO: man, locale, icons

	# message after building.
	add_custom_command(
		TARGET blender POST_BUILD MAIN_DEPENDENCY blender
		COMMAND ${CMAKE_COMMAND} -E echo 'now run: \"make install\" to copy runtime files & scripts to ${CMAKE_INSTALL_PREFIX}'
	)

	install(
		PROGRAMS ${EXECUTABLE_OUTPUT_PATH}/inkscape
		DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
	)

	install(
		FILES ${CMAKE_BINARY_DIR}/inkscape.desktop
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications
	)

	install(
		DIRECTORY
			${CMAKE_SOURCE_DIR}/share/attributes
			${CMAKE_SOURCE_DIR}/share/branding
			${CMAKE_SOURCE_DIR}/share/examples
			${CMAKE_SOURCE_DIR}/share/extensions
			${CMAKE_SOURCE_DIR}/share/filters
			${CMAKE_SOURCE_DIR}/share/fonts
			${CMAKE_SOURCE_DIR}/share/gradients
			${CMAKE_SOURCE_DIR}/share/icons
			${CMAKE_SOURCE_DIR}/share/keys
			${CMAKE_SOURCE_DIR}/share/markers
			${CMAKE_SOURCE_DIR}/share/palettes
			${CMAKE_SOURCE_DIR}/share/patterns
			${CMAKE_SOURCE_DIR}/share/screens
			${CMAKE_SOURCE_DIR}/share/symbols
			${CMAKE_SOURCE_DIR}/share/templates
			${CMAKE_SOURCE_DIR}/share/tutorials
			${CMAKE_SOURCE_DIR}/share/ui
		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/inkscape
	)

else()
	# TODO, WIN32/APPLE
endif()

=== src/CMakeLists.txt ===

# -----------------------------------------------------------------------------
# Define the main source
# -----------------------------------------------------------------------------

set(main_SRC
	main.cpp
)

set(sp_SRC
	attribute-rel-css.cpp
	attribute-rel-svg.cpp
	attribute-rel-util.cpp
	sp-anchor.cpp
	sp-clippath.cpp
	sp-conn-end-pair.cpp
	sp-conn-end.cpp
	sp-cursor.cpp
	sp-defs.cpp
	sp-desc.cpp
	sp-ellipse.cpp
	sp-filter-primitive.cpp
	sp-filter-reference.cpp
	sp-filter.cpp
	sp-flowdiv.cpp
	sp-flowregion.cpp
	sp-flowtext.cpp
	sp-font-face.cpp
	sp-font.cpp
	sp-glyph-kerning.cpp
	sp-glyph.cpp
	sp-gradient-reference.cpp
	sp-gradient.cpp
	sp-guide.cpp
	sp-hatch.cpp
	sp-hatch-path.cpp
	sp-image.cpp
	sp-item-group.cpp
	sp-item-notify-moveto.cpp
	sp-item-rm-unsatisfied-cns.cpp
	sp-item-transform.cpp
	sp-item-update-cns.cpp
	sp-item.cpp
	sp-line.cpp
	sp-linear-gradient.cpp
	sp-lpe-item.cpp
	sp-mask.cpp
	sp-mesh-array.cpp
	sp-mesh-gradient.cpp
	sp-mesh-patch.cpp
	sp-mesh-row.cpp
	sp-metadata.cpp
	sp-missing-glyph.cpp
	sp-namedview.cpp
	sp-object-group.cpp
	sp-object.cpp
	sp-offset.cpp
	sp-paint-server.cpp
	sp-path.cpp
	sp-pattern.cpp
	sp-polygon.cpp
	sp-polyline.cpp
	sp-radial-gradient.cpp
	sp-rect.cpp
	sp-root.cpp
	sp-script.cpp
	sp-shape.cpp
	sp-solid-color.cpp
	sp-spiral.cpp
	sp-star.cpp
	sp-stop.cpp
	sp-string.cpp
	sp-style-elem.cpp
	sp-switch.cpp
	sp-symbol.cpp
	sp-text.cpp
	sp-title.cpp
	sp-tref-reference.cpp
	sp-tref.cpp
	sp-tspan.cpp
	sp-use-reference.cpp
	sp-use.cpp
	splivarot.cpp
	viewbox.cpp

	# -------
	# Headers
	attribute-rel-css.h
	attribute-rel-svg.h
	attribute-rel-util.h
	sp-anchor.h
	sp-clippath.h
	sp-conn-end-pair.h
	sp-conn-end.h
	sp-cursor.h
	sp-defs.h
	sp-desc.h
	sp-ellipse.h
	sp-factory.h
	sp-filter-primitive.h
	sp-filter-reference.h
	sp-filter-units.h
	sp-filter.h
	sp-flowdiv.h
	sp-flowregion.h
	sp-flowtext.h
	sp-font-face.h
	sp-font.h
	sp-glyph-kerning.h
	sp-glyph.h
	sp-gradient-reference.h
	sp-gradient-spread.h
	sp-gradient-test.h
	sp-gradient-units.h
	sp-gradient-vector.h
	sp-gradient.h
	sp-guide-attachment.h
	sp-guide-constraint.h
	sp-guide.h
	sp-hatch.h
	sp-hatch-path.h
	sp-image.h
	sp-item-group.h
	sp-item-notify-moveto.h
	sp-item-rm-unsatisfied-cns.h
	sp-item-transform.h
	sp-item-update-cns.h
	sp-item.h
	sp-line.h
	sp-linear-gradient.h
	sp-lpe-item.h
	sp-marker-loc.h
	sp-mask.h
	sp-mesh-array.h
	sp-mesh-gradient.h
	sp-mesh-patch.h
	sp-mesh-row.h
	sp-metadata.h
	sp-missing-glyph.h
	sp-namedview.h
	sp-object-group.h
	sp-object.h
	sp-offset.h
	sp-paint-server-reference.h
	sp-paint-server.h
	sp-path.h
	sp-pattern.h
	sp-polygon.h
	sp-polyline.h
	sp-radial-gradient.h
	sp-rect.h
	sp-root.h
	sp-script.h
	sp-shape.h
	sp-solid-color.h
	sp-spiral.h
	sp-star.h
	sp-stop.h
	sp-string.h
	sp-style-elem-test.h
	sp-style-elem.h
	sp-switch.h
	sp-symbol.h
	sp-text.h
	sp-textpath.h
	sp-title.h
	sp-tref-reference.h
	sp-tref.h
	sp-tspan.h
	sp-use-reference.h
	sp-use.h
	viewbox.h
)

set(inkscape_SRC
	attributes.cpp
	axis-manip.cpp
	box3d-side.cpp
	box3d.cpp
	color-profile.cpp
	color.cpp
	composite-undo-stack-observer.cpp
	conditions.cpp
	conn-avoid-ref.cpp
	console-output-undo-observer.cpp
	context-fns.cpp
	desktop-events.cpp
	desktop-handles.cpp
	desktop-style.cpp
	desktop.cpp
	device-manager.cpp
	dir-util.cpp
	document-subset.cpp
	document-undo.cpp
	document.cpp
	doxygen-main.cpp
	draw-anchor.cpp
	ege-adjustment-action.cpp
	ege-color-prof-tracker.cpp
	ege-output-action.cpp
	ege-select-one-action.cpp
	event-log.cpp
	extract-uri.cpp
	file.cpp
	filter-chemistry.cpp
	filter-enums.cpp
	gc-anchored.cpp
	gc-finalized.cpp
	gc.cpp
	gradient-chemistry.cpp
	gradient-drag.cpp
	graphlayout.cpp
	guide-snapper.cpp
	help.cpp
	id-clash.cpp
	# ige-mac-menu.c
	ink-action.cpp
	ink-comboboxentry-action.cpp
	inkscape.cpp
	inkscape.rc
	interface.cpp
	knot-holder-entity.cpp
	knot.cpp
	knotholder.cpp
	layer-fns.cpp
	layer-manager.cpp
	layer-model.cpp
	line-geometry.cpp
	line-snapper.cpp
	main-cmdlineact.cpp
	marker.cpp
	media.cpp
	message-context.cpp
	message-stack.cpp
	mod360.cpp
	object-edit.cpp
	object-hierarchy.cpp
	object-snapper.cpp
	path-chemistry.cpp
	persp3d-reference.cpp
	persp3d.cpp
	perspective-line.cpp
	preferences.cpp
	prefix.cpp
	print.cpp
	profile-manager.cpp
	proj_pt.cpp
	rdf.cpp
	removeoverlap.cpp
	resource-manager.cpp
	rubberband.cpp
	satisfied-guide-cns.cpp
	selcue.cpp
	selection-chemistry.cpp
	selection-describer.cpp
	selection.cpp
	seltrans-handles.cpp
	seltrans.cpp
	shape-editor.cpp
	shortcuts.cpp
	snap-preferences.cpp
	snap.cpp
	snapped-curve.cpp
	snapped-line.cpp
	snapped-point.cpp
	snapper.cpp
	style.cpp
	style-internal.cpp
	svg-view-widget.cpp
	svg-view.cpp
	text-chemistry.cpp
	text-editing.cpp
	tools-switch.cpp
	transf_mat_3x4.cpp
	unclump.cpp
	unicoderange.cpp
	uri-references.cpp
	uri.cpp
	vanishing-point.cpp
	verbs.cpp
	version.cpp

	# -------
	# Headers
	MultiPrinter.h
	PylogFormatter.h
	TRPIFormatter.h
	attributes-test.h
	attributes.h
	axis-manip.h
	bad-uri-exception.h
	box3d-side.h
	box3d.h
	cms-color-types.h
	cms-system.h
	color-profile-cms-fns.h
	color-profile-test.h
	color-profile.h
	color-rgba.h
	color.h
	colorspace.h
	composite-undo-stack-observer.h
	conditions.h
	conn-avoid-ref.h
	connection-pool.h
	console-output-undo-observer.h
	context-fns.h
	decimal-round.h
	desktop-events.h
	desktop-handles.h
	desktop-style.h
	desktop.h
	device-manager.h
	dir-util-test.h
	dir-util.h
	document-private.h
	document-subset.h
	document-undo.h
	document.h
	draw-anchor.h
	ege-adjustment-action.h
	ege-color-prof-tracker.h
	ege-output-action.h
	ege-select-one-action.h
	enums.h
	event-log.h
	event.h
	extract-uri-test.h
	extract-uri.h
	factory.h
	file.h
	fill-or-stroke.h
	filter-chemistry.h
	filter-enums.h
	gc-alloc.h
	gc-allocator.h
	gc-anchored.h
	gc-core.h
	gc-finalized.h
	gc-managed.h
	gc-soft-ptr.h
	gradient-chemistry.h
	gradient-drag.h
	graphlayout.h
	guide-snapper.h
	help.h
	helper-fns.h
	icon-size.h
	id-clash.h
	# ige-mac-menu.h
	ink-action.h
	ink-comboboxentry-action.h
	inkscape-private.h
	inkscape-version.h
	inkscape.h
	interface.h
	isinf.h
	isnormal.h
	knot-enums.h
	knot-holder-entity.h
	knot.h
	knotholder.h
	layer-fns.h
	layer-manager.h
	layer-model.h
	line-geometry.h
	line-snapper.h
	macros.h
	main-cmdlineact.h
	marker-test.h
	marker.h
	media.h
	menus-skeleton.h
	message-context.h
	message-stack.h
	message.h
	mod360-test.h
	mod360.h
	number-opt-number.h
	object-edit.h
	object-hierarchy.h
	object-snapper.h
	path-chemistry.h
	path-prefix.h
	persp3d-reference.h
	persp3d.h
	perspective-line.h
	preferences-skeleton.h
	preferences-test.h
	preferences.h
	prefix.h
	print.h
	profile-manager.h
	proj_pt.h
	rdf.h
	registrytool.h
	remove-last.h
	removeoverlap.h
	require-config.h
	resource-manager.h
	round-test.h
	round.h
	rubberband.h
	satisfied-guide-cns.h
	selcue.h
	selection-chemistry.h
	selection-describer.h
	selection.h
	seltrans-handles.h
	seltrans.h
	shape-editor.h
	shortcuts.h
	snap-candidate.h
	snap-enums.h
	snap-preferences.h
	snap.h
	snapped-curve.h
	snapped-line.h
	snapped-point.h
	snapper.h
	splivarot.h
	streq.h
	strneq.h
	style-test.h
	style.h
	style-enums.h
	style-internal.h
	svg-profile.h
	svg-view-widget.h
	svg-view.h
	syseq.h
	test-helpers.h
	text-chemistry.h
	text-editing.h
	text-tag-attributes.h
	tool-factory.h
	tools-switch.h
	transf_mat_3x4.h
	unclump.h
	undo-stack-observer.h
	unicoderange.h
	uri-references.h
	uri-test.h
	uri.h
	vanishing-point.h
	verbs-test.h
	verbs.h
	version.h
)

if(WIN32)
	list(APPEND inkscape_SRC
		registrytool.cpp
		#deptool.cpp
		winmain.cpp
	)
endif()


# -----------------------------------------------------------------------------
# Generate version file
# -----------------------------------------------------------------------------

# a custom target that is always built
add_custom_target(
		inkscape_version ALL
		DEPENDS ${CMAKE_BINARY_DIR}/src/inkscape-version.cpp)

# creates inkscape-version.cpp using cmake script
add_custom_command(
		OUTPUT ${CMAKE_BINARY_DIR}/src/inkscape-version.cpp
		COMMAND ${CMAKE_COMMAND}
		-DINKSCAPE_SOURCE_DIR=${CMAKE_SOURCE_DIR}
		-DINKSCAPE_BINARY_DIR=${CMAKE_BINARY_DIR}
		-P ${CMAKE_SOURCE_DIR}/CMakeScripts/inkscape-version.cmake)

# buildinfo.h is a generated file
set_source_files_properties(
		${CMAKE_BINARY_DIR}/src/inkscape-version.cpp
		PROPERTIES GENERATED TRUE)

list(APPEND inkscape_SRC
	${CMAKE_BINARY_DIR}/src/inkscape-version.cpp
)


# -----------------------------------------------------------------------------
# Load in subdirectories
# -----------------------------------------------------------------------------

# All folders for internal inkscape
# these call add_inkscape_source
add_subdirectory(debug)
add_subdirectory(dialogs)
add_subdirectory(display)
add_subdirectory(extension)
add_subdirectory(filters)
add_subdirectory(helper)
add_subdirectory(io)
add_subdirectory(live_effects)
add_subdirectory(svg)
add_subdirectory(trace)
add_subdirectory(ui)
add_subdirectory(util)
add_subdirectory(widgets)
add_subdirectory(xml)
add_subdirectory(2geom)


# Directories containing lists files that describe building internal libraries
add_subdirectory(libavoid)
add_subdirectory(libcola)
add_subdirectory(libcroco)
add_subdirectory(libgdl)
add_subdirectory(libuemf)
add_subdirectory(libvpsc)
add_subdirectory(livarot)
add_subdirectory(libnrtype)
add_subdirectory(libdepixelize)


get_property(inkscape_global_SRC GLOBAL PROPERTY inkscape_global_SRC)

set(inkscape_SRC
	${inkscape_global_SRC}
	${inkscape_SRC}
)

# -----------------------------------------------------------------------------
# Setup the executable
# -----------------------------------------------------------------------------
#add_inkscape_lib(sp_LIB "${sp_SRC}")
#add_inkscape_lib(inkscape_LIB "${inkscape_SRC}")

# make executable for INKSCAPE
add_executable(inkscape ${main_SRC} ${inkscape_SRC} ${sp_SRC})

add_dependencies(inkscape inkscape_version)

target_link_libraries(inkscape
	# order from automake 
	#sp_LIB
	nrtype_LIB

	#inkscape_LIB
	#sp_LIB # annoying, we need both!
	nrtype_LIB # annoying, we need both!

	croco_LIB
	avoid_LIB
	gdl_LIB
	cola_LIB
	vpsc_LIB
	livarot_LIB
	uemf_LIB
	2geom_LIB
	depixelize_LIB

	${INKSCAPE_LIBS}
)

# TODO
# make executable for INKVIEW
#add_executable(inkview inkview.cpp)
# ...

=== src/dialogs/CMakeLists.txt ===

set(dialogs_SRC
	dialog-events.cpp

	# -------
	# Headers
	dialog-events.h
)

# add_inkscape_lib(dialogs_LIB "${dialogs_SRC}")
add_inkscape_source("${dialogs_SRC}")

=== src/display/CMakeLists.txt ===

set(display_SRC
	cairo-utils.cpp
	canvas-arena.cpp
	canvas-axonomgrid.cpp
	canvas-bpath.cpp
	canvas-grid.cpp
	canvas-temporary-item-list.cpp
	canvas-temporary-item.cpp
	canvas-text.cpp
	curve.cpp
	drawing-context.cpp
	drawing-group.cpp
	drawing-image.cpp
	drawing-item.cpp
	drawing-pattern.cpp
	drawing-shape.cpp
	drawing-surface.cpp
	drawing-text.cpp
	drawing.cpp
	gnome-canvas-acetate.cpp
	grayscale.cpp
	guideline.cpp
	nr-3dutils.cpp
	nr-filter-blend.cpp
	nr-filter-colormatrix.cpp
	nr-filter-component-transfer.cpp
	nr-filter-composite.cpp
	nr-filter-convolve-matrix.cpp
	nr-filter-diffuselighting.cpp
	nr-filter-displacement-map.cpp
	nr-filter-flood.cpp
	nr-filter-gaussian.cpp
	nr-filter-image.cpp
	nr-filter-merge.cpp
	nr-filter-morphology.cpp
	nr-filter-offset.cpp
	nr-filter-primitive.cpp
	# nr-filter-skeleton.cpp
	nr-filter-slot.cpp
	nr-filter-specularlighting.cpp
	nr-filter-tile.cpp
	nr-filter-turbulence.cpp
	nr-filter-units.cpp
	nr-filter-utils.cpp
	nr-filter.cpp
	nr-light.cpp
	nr-style.cpp
	nr-svgfonts.cpp
	nr-svgfonts.h
	snap-indicator.cpp
	sodipodi-ctrl.cpp
	sodipodi-ctrlrect.cpp
	sp-canvas-util.cpp
	sp-canvas.cpp
	sp-ctrlcurve.cpp
	sp-ctrlline.cpp
	sp-ctrlpoint.cpp
	sp-ctrlquadr.cpp


	# -------
	# Headers
	cairo-templates.h
	cairo-utils.h
	canvas-arena.h
	canvas-axonomgrid.h
	canvas-bpath.h
	canvas-grid.h
	canvas-temporary-item-list.h
	canvas-temporary-item.h
	canvas-text.h
	curve-test.h
	curve.h
	drawing-context.h
	drawing-group.h
	drawing-image.h
	drawing-item.h
	drawing-pattern.h
	drawing-shape.h
	drawing-surface.h
	drawing-text.h
	drawing.h
	gnome-canvas-acetate.h
	grayscale.h
	guideline.h
	nr-3dutils.h
	nr-filter-blend.h
	nr-filter-colormatrix.h
	nr-filter-component-transfer.h
	nr-filter-composite.h
	nr-filter-convolve-matrix.h
	nr-filter-diffuselighting.h
	nr-filter-displacement-map.h
	nr-filter-flood.h
	nr-filter-gaussian.h
	nr-filter-image.h
	nr-filter-merge.h
	nr-filter-morphology.h
	nr-filter-offset.h
	nr-filter-primitive.h
	nr-filter-skeleton.h
	nr-filter-slot.h
	nr-filter-specularlighting.h
	nr-filter-tile.h
	nr-filter-turbulence.h
	nr-filter-types.h
	nr-filter-units.h
	nr-filter-utils.h
	nr-filter.h
	nr-light-types.h
	nr-light.h
	nr-style.h
	rendermode.h
	snap-indicator.h
	sodipodi-ctrl.h
	sodipodi-ctrlrect.h
	sp-canvas-group.h
	sp-canvas-item.h
	sp-canvas-util.h
	sp-canvas.h
	sp-ctrlcurve.h
	sp-ctrlline.h
	sp-ctrlpoint.h
	sp-ctrlquadr.h
)

# add_inkscape_lib(display_LIB "${display_SRC}")
add_inkscape_source("${display_SRC}")

=== src/extension/CMakeLists.txt ===

set(extension_SRC
	db.cpp
	dependency.cpp
	effect.cpp
	error-file.cpp
	execution-env.cpp
	extension.cpp
	init.cpp
	input.cpp
	output.cpp
	patheffect.cpp
	prefdialog.cpp
	print.cpp
	system.cpp
	timer.cpp

	implementation/implementation.cpp
	implementation/xslt.cpp
	implementation/script.cpp

	param/bool.cpp
	param/color.cpp
	param/description.cpp
	param/enum.cpp
	param/float.cpp
	param/int.cpp
	param/notebook.cpp
	param/parameter.cpp
	param/radiobutton.cpp
	param/string.cpp

	internal/bluredge.cpp
	internal/cairo-png-out.cpp
	internal/cairo-ps-out.cpp
	internal/cairo-render-context.cpp
	internal/cairo-renderer.cpp
	internal/cairo-renderer-pdf-out.cpp
	internal/cdr-input.cpp
	internal/emf-inout.cpp
	internal/emf-print.cpp
	internal/gdkpixbuf-input.cpp
	internal/gimpgrad.cpp
	internal/grid.cpp
	internal/image-resolution.cpp
	internal/latex-pstricks.cpp
	internal/latex-pstricks-out.cpp
	internal/metafile-inout.cpp
	internal/metafile-print.cpp
	internal/odf.cpp
	internal/latex-text-renderer.cpp
	internal/pov-out.cpp
	internal/javafx-out.cpp
	internal/svg.cpp
	internal/svgz.cpp
	internal/text_reassemble.c
	internal/vsd-input.cpp
	internal/wmf-inout.cpp
	internal/wmf-print.cpp

	internal/filter/filter-all.cpp
	internal/filter/filter-file.cpp
	internal/filter/filter.cpp

	internal/pdfinput/pdf-input.cpp
	internal/pdfinput/pdf-parser.cpp
	internal/pdfinput/svg-builder.cpp

	# ------
	# Header
	db.h
	dependency.h
	effect.h
	error-file.h
	execution-env.h
	extension.h
	init.h
	input.h
	output.h
	param/bool.h
	param/color.h
	param/description.h
	param/enum.h
	param/float.h
	param/int.h
	param/notebook.h
	param/parameter.h
	param/radiobutton.h
	param/string.h
	patheffect.h
	prefdialog.h
	print.h
	system.h
	timer.h

	implementation/implementation.h
	implementation/script.h
	implementation/xslt.h

	internal/bluredge.h
	internal/cairo-png-out.h
	internal/cairo-ps-out.h
	internal/cairo-render-context.h
	internal/cairo-renderer-pdf-out.h
	internal/cairo-renderer.h
	internal/cdr-input.h
	internal/clear-n_.h
	internal/emf-inout.h
	internal/emf-print.h
	internal/filter/bevels.h
	internal/filter/blurs.h
	internal/filter/bumps.h
	internal/filter/color.h
	internal/filter/distort.h
	internal/filter/filter.h
	internal/filter/image.h
	internal/filter/morphology.h
	internal/filter/overlays.h
	internal/filter/paint.h
	internal/filter/protrusions.h
	internal/filter/shadows.h
	internal/filter/textures.h
	internal/filter/transparency.h
	internal/gdkpixbuf-input.h
	internal/gimpgrad.h
	internal/grid.h
	internal/image-resolution.h
	internal/javafx-out.h
	internal/latex-pstricks-out.h
	internal/latex-pstricks.h
	internal/latex-text-renderer.h
	internal/metafile-inout.h
	internal/metafile-print.h
	internal/odf.h
	internal/pdfinput/pdf-input.h
	internal/pdfinput/pdf-parser.h
	internal/pdfinput/svg-builder.h
	internal/pov-out.h
	internal/svg.h
	internal/svgz.h
	internal/text_reassemble.h
	internal/vsd-input.h
	internal/wmf-inout.h
	internal/wmf-print.h
)

if(WIN32)
	list(APPEND extension_SRC
	)
endif()

if(WITH_LIBWPG)
	list(APPEND extension_SRC
		internal/wpg-input.cpp
		internal/wpg-input.h
	)
endif()

if(ImageMagick_FOUND)
	list(APPEND extension_SRC
		internal/bitmap/adaptiveThreshold.cpp
		internal/bitmap/adaptiveThreshold.h
		internal/bitmap/addNoise.cpp
		internal/bitmap/addNoise.h
		internal/bitmap/blur.cpp
		internal/bitmap/blur.h
		internal/bitmap/channel.cpp
		internal/bitmap/channel.h
		internal/bitmap/charcoal.cpp
		internal/bitmap/charcoal.h
		internal/bitmap/colorize.cpp
		internal/bitmap/colorize.h
		internal/bitmap/contrast.cpp
		internal/bitmap/contrast.h
		internal/bitmap/crop.cpp
		internal/bitmap/crop.h
		internal/bitmap/cycleColormap.cpp
		internal/bitmap/cycleColormap.h
		internal/bitmap/despeckle.cpp
		internal/bitmap/despeckle.h
		internal/bitmap/edge.cpp
		internal/bitmap/edge.h
		internal/bitmap/emboss.cpp
		internal/bitmap/emboss.h
		internal/bitmap/enhance.cpp
		internal/bitmap/enhance.h
		internal/bitmap/equalize.cpp
		internal/bitmap/equalize.h
		internal/bitmap/gaussianBlur.cpp
		internal/bitmap/gaussianBlur.h
		internal/bitmap/imagemagick.cpp
		internal/bitmap/imagemagick.h
		internal/bitmap/implode.cpp
		internal/bitmap/implode.h
		internal/bitmap/level.cpp
		internal/bitmap/level.h
		internal/bitmap/levelChannel.cpp
		internal/bitmap/levelChannel.h
		internal/bitmap/medianFilter.cpp
		internal/bitmap/medianFilter.h
		internal/bitmap/modulate.cpp
		internal/bitmap/modulate.h
		internal/bitmap/negate.cpp
		internal/bitmap/negate.h
		internal/bitmap/normalize.cpp
		internal/bitmap/normalize.h
		internal/bitmap/oilPaint.cpp
		internal/bitmap/oilPaint.h
		internal/bitmap/opacity.cpp
		internal/bitmap/opacity.h
		internal/bitmap/raise.cpp
		internal/bitmap/raise.h
		internal/bitmap/reduceNoise.cpp
		internal/bitmap/reduceNoise.h
		internal/bitmap/sample.cpp
		internal/bitmap/sample.h
		internal/bitmap/shade.cpp
		internal/bitmap/shade.h
		internal/bitmap/sharpen.cpp
		internal/bitmap/sharpen.h
		internal/bitmap/solarize.cpp
		internal/bitmap/solarize.h
		internal/bitmap/spread.cpp
		internal/bitmap/spread.h
		internal/bitmap/swirl.cpp
		internal/bitmap/swirl.h
		internal/bitmap/threshold.cpp
		internal/bitmap/threshold.h
		internal/bitmap/unsharpmask.cpp
		internal/bitmap/unsharpmask.h
		internal/bitmap/wave.cpp
		internal/bitmap/wave.h
	)
endif()

if(WITH_DBUS)
	list(APPEND extension_SRC
		dbus/application-interface.cpp
		dbus/dbus-init.cpp
		dbus/document-interface.cpp

		# ------
		# Header
		dbus/application-interface.h
		dbus/dbus-init.h
		dbus/document-interface.h
		dbus/wrapper/inkscape-dbus-wrapper.h
	)

	include_directories(dbus)
endif()

# add_inkscape_lib(extension_LIB "${extension_SRC}")
add_inkscape_source("${extension_SRC}")

=== src/helper/CMakeLists.txt ===

include(${CMAKE_SOURCE_DIR}/CMakeScripts/UseGlibMarshal.cmake)

GLIB_MARSHAL(sp_marshal sp-marshal "${CMAKE_CURRENT_BINARY_DIR}/helper")

set(sp_marshal_SRC
	${CMAKE_CURRENT_BINARY_DIR}/sp-marshal.cpp
	${CMAKE_CURRENT_BINARY_DIR}/sp-marshal.h
)

set(helper_SRC
	action.cpp
  action-context.cpp
	geom.cpp
	geom-nodetype.cpp
	gnome-utils.cpp
	pixbuf-ops.cpp
	png-write.cpp
	stock-items.cpp
	#units-test.cpp
	window.cpp

	# we generate this file and it's .h counter-part
	${sp_marshal_SRC}


	# -------
	# Headers
	action.h
  action-context.h
	geom-curves.h
	geom-nodetype.h
	geom.h
	gnome-utils.h
	pixbuf-ops.h
	png-write.h
	stock-items.h
	window.h
)

set_source_files_properties(sp_marshal_SRC PROPERTIES GENERATED true)

# add_inkscape_lib(helper_LIB "${helper_SRC}")
add_inkscape_source("${helper_SRC}")

=== src/libgdl/CMakeLists.txt ===

set(libgdl_SRC
	gdl-dock-bar.c
	gdl-dock-item-button-image.c
	gdl-dock-item-grip.c
	gdl-dock-item.c
	gdl-dock-master.c
	gdl-dock-notebook.c
	gdl-dock-object.c
	gdl-dock-paned.c
	gdl-dock-placeholder.c
	gdl-dock-tablabel.c
	gdl-dock.c
	gdl-i18n.c
	gdl-switcher.c
	libgdlmarshal.c
	libgdltypebuiltins.c


	# -------
	# Headers
	gdl-dock-bar.h
	gdl-dock-item-button-image.h
	gdl-dock-item-grip.h
	gdl-dock-item.h
	gdl-dock-master.h
	gdl-dock-notebook.h
	gdl-dock-object.h
	gdl-dock-paned.h
	gdl-dock-placeholder.h
	gdl-dock-tablabel.h
	gdl-dock.h
	gdl-i18n.h
	gdl-switcher.h
	gdl.h
	libgdlmarshal.h
	libgdltypebuiltins.h
)

if(WIN32)
	list(APPEND libgdl_SRC
		gdl-win32.c
		gdl-win32.h
	)
endif()

add_inkscape_lib(gdl_LIB "${libgdl_SRC}")

=== src/libuemf/CMakeLists.txt ===

set(libuemf_SRC
	symbol_convert.c
	uemf.c
	uemf_endian.c
	uemf_print.c
	uemf_utf.c
	uwmf.c
	uwmf_endian.c
	uwmf_print.c
	upmf.c
	upmf_print.c

	# -------
	# Headers
	symbol_convert.h
	uemf.h
	uemf_endian.h
	uemf_print.h
	uemf_utf.h
	uwmf.h
	uwmf_endian.h
	uwmf_print.h
	upmf.h
	upmf_print.h
)

add_inkscape_lib(uemf_LIB "${libuemf_SRC}")

=== src/live_effects/CMakeLists.txt ===

set(live_effects_SRC
	effect.cpp
	lpe-angle_bisector.cpp
	lpe-bendpath.cpp
	lpe-boolops.cpp
	lpe-circle_3pts.cpp
	lpe-circle_with_radius.cpp
	lpe-clone-original.cpp
	lpe-constructgrid.cpp
	lpe-copy_rotate.cpp
	lpe-curvestitch.cpp
	lpe-dynastroke.cpp
	lpe-envelope.cpp
	lpe-extrude.cpp
	lpe-gears.cpp
	lpe-interpolate.cpp
	lpe-knot.cpp
	lpe-lattice.cpp
	lpe-line_segment.cpp
	lpe-mirror_symmetry.cpp
	lpe-offset.cpp
	lpe-parallel.cpp
	lpe-path_length.cpp
	lpe-patternalongpath.cpp
	lpe-perp_bisector.cpp
	lpe-perspective_path.cpp
	lpe-powerstroke.cpp
	lpe-recursiveskeleton.cpp
	lpe-rough-hatches.cpp
	lpe-ruler.cpp
	# lpe-skeleton.cpp
	lpe-sketch.cpp
	lpe-spiro.cpp
	lpe-tangent_to_curve.cpp
	lpe-test-doEffect-stack.cpp
	lpe-text_label.cpp
	lpe-vonkoch.cpp
	lpegroupbbox.cpp
	lpeobject-reference.cpp
	lpeobject.cpp
	spiro.cpp
	spiro-converters.cpp

	parameter/array.cpp
	parameter/bool.cpp
	parameter/parameter.cpp
	parameter/path.cpp
	parameter/originalpath.cpp
	parameter/path-reference.cpp
	parameter/point.cpp
	parameter/powerstrokepointarray.cpp
	parameter/random.cpp
	parameter/text.cpp
	parameter/unit.cpp
	parameter/vector.cpp


	# -------
	# Headers
	effect-enum.h
	effect.h
	lpe-angle_bisector.h
	lpe-bendpath.h
	lpe-boolops.h
	lpe-circle_3pts.h
	lpe-circle_with_radius.h
	lpe-clone-original.h
	lpe-constructgrid.h
	lpe-copy_rotate.h
	lpe-curvestitch.h
	lpe-dynastroke.h
	lpe-envelope.h
	lpe-extrude.h
	lpe-gears.h
	lpe-interpolate.h
	lpe-knot.h
	lpe-lattice.h
	lpe-line_segment.h
	lpe-mirror_symmetry.h
	lpe-offset.h
	lpe-parallel.h
	lpe-path_length.h
	lpe-patternalongpath.h
	lpe-perp_bisector.h
	lpe-perspective_path.h
	lpe-powerstroke.h
	lpe-powerstroke-interpolators.h
	lpe-recursiveskeleton.h
	lpe-rough-hatches.h
	lpe-ruler.h
	lpe-skeleton.h
	lpe-sketch.h
	lpe-spiro.h
	lpe-tangent_to_curve.h
	lpe-test-doEffect-stack.h
	lpe-text_label.h
	lpe-vonkoch.h
	lpegroupbbox.h
	lpeobject-reference.h
	lpeobject.h
	spiro.h
	spiro-converters.h

	parameter/array.h
	parameter/bool.h
	parameter/enum.h
	parameter/parameter.h
	parameter/path-reference.h
	parameter/path.h
	parameter/originalpath.h
	parameter/point.h
	parameter/powerstrokepointarray.h
	parameter/random.h
	parameter/text.h
	parameter/unit.h
	parameter/vector.h

)

# add_inkscape_lib(live_effects_LIB "${live_effects_SRC}")
add_inkscape_source("${live_effects_SRC}")

=== src/svg/CMakeLists.txt ===

set(svg_SRC
	css-ostringstream.cpp
	path-string.cpp
	sp-svg.def
	stringstream.cpp
	strip-trailing-zeros.cpp
	svg-affine.cpp
	svg-color.cpp
	svg-angle.cpp
	svg-length.cpp
	svg-path.cpp
	# test-stubs.cpp


	# -------
	# Headers
	css-ostringstream-test.h
	css-ostringstream.h
	path-string.h
	stringstream-test.h
	stringstream.h
	strip-trailing-zeros.h
	svg-affine-test.h
	svg-color-test.h
	svg-color.h
	svg-icc-color.h
	svg-angle.h
	svg-length-test.h
	svg-length.h
	svg-path-geom-test.h
	svg.h
	# test-stubs.h

)

# add_inkscape_lib(svg_LIB "${svg_SRC}")
add_inkscape_source("${svg_SRC}")

=== src/trace/CMakeLists.txt ===

set(trace_SRC
	filterset.cpp
	imagemap.cpp
	imagemap-gdk.cpp
	quantize.cpp
	siox.cpp
	trace.cpp

	potrace/curve.cpp
	potrace/decompose.cpp
	potrace/greymap.cpp
	potrace/inkscape-potrace.cpp
	potrace/potracelib.cpp
	potrace/render.cpp
	potrace/trace.cpp


	# -------
	# Headers
	filterset.h
	imagemap-gdk.h
	imagemap.h
	pool.h
	quantize.h
	siox.h
	trace.h

	potrace/auxiliary.h
	potrace/bitmap.h
	potrace/curve.h
	potrace/decompose.h
	potrace/greymap.h
	potrace/inkscape-potrace.h
	potrace/lists.h
	potrace/potracelib.h
	potrace/progress.h
	potrace/render.h
	potrace/trace.h
)

# add_inkscape_lib(trace_LIB "${trace_SRC}")
add_inkscape_source("${trace_SRC}")

=== src/ui/CMakeLists.txt ===

set(ui_SRC
	clipboard.cpp
	control-manager.cpp
	previewholder.cpp
	uxmanager.cpp

	cache/svg_preview_cache.cpp

	tool/control-point-selection.cpp
	tool/control-point.cpp
	tool/curve-drag-point.cpp
	tool/event-utils.cpp
	tool/manipulator.cpp
	tool/modifier-tracker.cpp
	tool/multi-path-manipulator.cpp
	tool/node.cpp
	tool/path-manipulator.cpp
	tool/selectable-control-point.cpp
	tool/selector.cpp
	tool/transform-handle-set.cpp

	tools/arc-tool.cpp
	tools/box3d-tool.cpp
	tools/calligraphic-tool.cpp
	tools/connector-tool.cpp
	tools/dropper-tool.cpp
	tools/dynamic-base.cpp
	tools/eraser-tool.cpp
	tools/flood-tool.cpp
	tools/freehand-base.cpp
	tools/gradient-tool.cpp
	tools/lpe-tool.cpp
	tools/measure-tool.cpp
	tools/mesh-tool.cpp
	tools/node-tool.cpp
	tools/pencil-tool.cpp
	tools/pen-tool.cpp
	tools/rect-tool.cpp
	tools/select-tool.cpp
	tools/spiral-tool.cpp
	tools/spray-tool.cpp
	tools/star-tool.cpp
	tools/text-tool.cpp
	tools/tool-base.cpp
	tools/tweak-tool.cpp
	tools/zoom-tool.cpp

	dialog/aboutbox.cpp
	dialog/align-and-distribute.cpp
	dialog/calligraphic-profile-rename.cpp
	dialog/color-item.cpp
	dialog/clonetiler.cpp
	dialog/debug.cpp
	dialog/desktop-tracker.cpp
	dialog/dialog-manager.cpp
	dialog/dialog.cpp
	dialog/dock-behavior.cpp
	dialog/document-metadata.cpp
	dialog/document-properties.cpp
	dialog/export.cpp
	dialog/extension-editor.cpp
	dialog/extensions.cpp
	dialog/filedialog.cpp
	dialog/filedialogimpl-gtkmm.cpp
	dialog/fill-and-stroke.cpp
	dialog/filter-effects-dialog.cpp
	dialog/find.cpp
	dialog/floating-behavior.cpp
	dialog/font-substitution.cpp
	dialog/glyphs.cpp
	dialog/grid-arrange-tab.cpp
	dialog/guides.cpp
	dialog/icon-preview.cpp
	dialog/inkscape-preferences.cpp
	dialog/input.cpp
	dialog/layer-properties.cpp
	dialog/layers.cpp
	dialog/livepatheffect-add.cpp
	dialog/livepatheffect-editor.cpp
	dialog/memory.cpp
	dialog/messages.cpp
	dialog/new-from-template.cpp
	dialog/object-attributes.cpp
	dialog/object-properties.cpp
	dialog/ocaldialogs.cpp
	dialog/polar-arrange-tab.cpp
	dialog/print-colors-preview-dialog.cpp
	dialog/print.cpp
	dialog/symbols.cpp
	dialog/xml-tree.cpp
	dialog/spellcheck.cpp
	dialog/svg-fonts-dialog.cpp
	dialog/swatches.cpp
	dialog/template-load-tab.cpp
	dialog/template-widget.cpp
	dialog/text-edit.cpp
	dialog/tile.cpp
	dialog/tracedialog.cpp
	dialog/pixelartdialog.cpp
	dialog/transformation.cpp
	dialog/undo-history.cpp

	widget/anchor-selector.cpp
	widget/button.cpp
	widget/color-picker.cpp
	widget/color-preview.cpp
	widget/dock-item.cpp
	widget/dock.cpp
	widget/entity-entry.cpp
	widget/entry.cpp
	widget/filter-effect-chooser.cpp
	widget/frame.cpp
	widget/gimpcolorwheel.c
	widget/gimpspinscale.c
	widget/imageicon.cpp
	widget/imagetoggler.cpp
	widget/labelled.cpp
	widget/layer-selector.cpp
	widget/licensor.cpp
	widget/notebook-page.cpp
	widget/object-composite-settings.cpp
	widget/page-sizer.cpp
	widget/panel.cpp
	widget/point.cpp
	widget/preferences-widget.cpp
	widget/random.cpp
	widget/registered-widget.cpp
	widget/registry.cpp
	widget/rendering-options.cpp
	widget/rotateable.cpp
	widget/scalar-unit.cpp
	widget/scalar.cpp
	widget/selected-style.cpp
	widget/spin-scale.cpp
	widget/spin-slider.cpp
	widget/spinbutton.cpp
	widget/style-subject.cpp
	widget/style-swatch.cpp
	widget/text.cpp
	widget/tolerance-slider.cpp
	widget/unit-menu.cpp
	widget/unit-tracker.cpp

	view/view.cpp
	view/view-widget.cpp


	# -------
	# Headers
	clipboard.h
	control-manager.h
	control-types.h
	icon-names.h
	previewable.h
	previewfillable.h
	previewholder.h
	uxmanager.h

	cache/svg_preview_cache.h

	dialog/aboutbox.h
	dialog/align-and-distribute.h
	dialog/arrange-tab.h
	dialog/behavior.h
	dialog/calligraphic-profile-rename.h
	dialog/color-item.h
	dialog/clonetiler.h
	dialog/debug.h
	dialog/desktop-tracker.h
	dialog/dialog-manager.h
	dialog/dialog.h
	dialog/dock-behavior.h
	dialog/document-metadata.h
	dialog/document-properties.h
	dialog/export.h
	dialog/extension-editor.h
	dialog/extensions.h
	dialog/filedialog.h
	dialog/filedialogimpl-gtkmm.h
	dialog/filedialogimpl-win32.h
	dialog/fill-and-stroke.h
	dialog/filter-effects-dialog.h
	dialog/find.h
	dialog/floating-behavior.h
	dialog/font-substitution.h
	dialog/glyphs.h
	dialog/guides.h
	dialog/grid-arrange-tab.h
	dialog/icon-preview.h
	dialog/inkscape-preferences.h
	dialog/input.h
	dialog/layer-properties.h
	dialog/layers.h
	dialog/livepatheffect-add.h
	dialog/livepatheffect-editor.h
	dialog/memory.h
	dialog/messages.h
	dialog/new-from-template.h
	dialog/object-attributes.h
	dialog/object-properties.h
	dialog/ocaldialogs.h
	dialog/panel-dialog.h
	dialog/polar-arrange-tab.h
	dialog/pixelartdialog.h
	dialog/print-colors-preview-dialog.h
	dialog/print.h
	
	dialog/spellcheck.h
	dialog/svg-fonts-dialog.h
	dialog/swatches.h
	dialog/symbols.h
	dialog/template-load-tab.h
	dialog/template-widget.h
	dialog/text-edit.h
	dialog/tile.h
	dialog/tracedialog.h
	dialog/transformation.h
	dialog/undo-history.h
	dialog/xml-tree.h

	tool/commit-events.h
	tool/control-point-selection.h
	tool/control-point.h
	tool/curve-drag-point.h
	tool/event-utils.h
	tool/manipulator.h
	tool/modifier-tracker.h
	tool/multi-path-manipulator.h
	tool/node-types.h
	tool/node.h
	tool/path-manipulator.h
	tool/selectable-control-point.h
	tool/selector.h
	tool/shape-record.h
	tool/transform-handle-set.h

	tools/arc-tool.h
	tools/box3d-tool.h
	tools/calligraphic-tool.h
	tools/connector-tool.h
	tools/dropper-tool.h
	tools/dynamic-base.h
	tools/eraser-tool.h
	tools/flood-tool.h
	tools/freehand-base.h
	tools/gradient-tool.h
	tools/lpe-tool.h
	tools/measure-tool.h
	tools/mesh-tool.h
	tools/node-tool.h
	tools/pencil-tool.h
	tools/pen-tool.h
	tools/rect-tool.h
	tools/select-tool.h
	tools/spiral-tool.h
	tools/spray-tool.h
	tools/star-tool.h
	tools/text-tool.h
	tools/tool-base.h
	tools/tweak-tool.h
	tools/zoom-tool.h

	widget/anchor-selector.h
	widget/attr-widget.h
	widget/button.h
	widget/color-picker.h
	widget/color-preview.h
	widget/combo-enums.h
	widget/dock-item.h
	widget/dock.h
	widget/entity-entry.h
	widget/entry.h
	widget/filter-effect-chooser.h
	widget/frame.h
	widget/gimpspinscale.h
	widget/gimpcolorwheel.h
	widget/imageicon.h
	widget/imagetoggler.h
	widget/labelled.h
	widget/layer-selector.h
	widget/licensor.h
	widget/notebook-page.h
	widget/object-composite-settings.h
	widget/page-sizer.h
	widget/panel.h
	widget/point.h
	widget/preferences-widget.h
	widget/random.h
	widget/registered-enums.h
	widget/registered-widget.h
	widget/registry.h
	widget/rendering-options.h
	widget/rotateable.h
	widget/scalar-unit.h
	widget/scalar.h
	widget/selected-style.h
	widget/spin-scale.h
	widget/spin-slider.h
	widget/spinbutton.h
	widget/style-subject.h
	widget/style-swatch.h
	widget/text.h
	widget/tolerance-slider.h
	widget/unit-menu.h
	widget/unit-tracker.h

	view/edit-widget-interface.h
	view/view-widget.h
	view/view.h
)

if(WIN32)
	list(APPEND ui_SRC
		dialog/filedialogimpl-win32.cpp
	)
endif()

# add_inkscape_lib(ui_LIB "${ui_SRC}")
add_inkscape_source("${ui_SRC}")

=== debian/changelog ===
inkscape (0.91.0+47~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Alex Valavanis <valavanisalex@gmail.com>  Thu, 12 Feb 2015 11:51:54 +0000

inkscape (1:0.48+devel+10326+10) natty; urgency=low

  * Renamed package to inkscape-trunk
  * debian/control: Added Conflicts: inkscape to prevent installation of
    multiple conflicting copies of the Inkscape binaries

 -- Alex Valavanis <valavanisalex@gmail.com>  Tue, 21 Jun 2011 11:04:31 +0100

inkscape (0.49~devel+10296) oneiric; urgency=low

  * Adopted packaging code upstream.  Thanks to Peter for all your hard work!
  * Removed debian/watch - not needed in native package
  * Added debian/README.source - Description of dpatch system
  * debian/control:
    - Wrap lines
    - Added Depends: ${misc:depends}
    - Added myself, Peter and Wolfi to Uploaders, and switched Maintainer to 
      Inkscape devs
    - Suggest transfig to allow import of xfig files
    - Drop useless suggestions of python, skencil and ttf-bitstream-vera
    - Add Build-Depends on dh-translations, libwpd-dev (>= 0.9.0),
      libaspell-dev
    - Bump Build-Depends version libwpg-dev (>= 0.2.0)
    - Drop Build-Depends libssl-dev
    - Recommends aspell
  * debian/rules:
    - Add dh_translations to binary-arch rule
    - Drop manual addition of translation keys to desktop entry files
    - Drop setting of script permissions.  This is handled upstream.
    - Enable parallel builds.

 -- Alex Valavanis <valavanisalex@gmail.com>  Mon, 13 Jun 2011 10:50:12 +0100

inkscape (0.49~devel+10241) lucid; urgency=low

  * Merge upstream r10241.

 -- Peter Lieverdink <ubuntu@cafuego.net>  Sat, 28 May 2011 11:50:19 +1000

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Homepage: http://www.inkscape.org/
Vcs-Browser: https://code.launchpad.net/~inkscape.dev/inkscape/trunk
Vcs-bzr: https://code.launchpad.net/~inkscape.dev/inkscape/trunk
Maintainer: Inkscape developers <inkscape-devel@lists.sourceforge.net> 
Uploaders: Peter Lieverdink <ubuntu@cafuego.net>,
           Wolfram Quester <wolfi@sigxcpu.org>,
           Alex Valavanis <valavanisalex@gmail.com>
Build-Depends:
 autoconf,
 automake,
 autopoint,
 bash-completion,
 debhelper (>= 9),
 dh-autoreconf,
 gimp,
 intltool,
 libart-2.0-dev (>= 2.3.10),
 libaspell-dev,
 libboost-dev,
 libcdr-dev,
 libdbus-glib-1-dev,
 libgc-dev (>= 1:6.8),
 libglib2.0-dev,
 libgnomevfs2-dev,
 libgsl0-dev,
 libgtk2.0-dev (>= 2.10.0),
 libgtkmm-2.4-dev,
 libgtkspell-dev,
 libicu-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng12-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpopt-dev,
 libsigc++-2.0-dev (>= 2.0.16-2),
 libtool,
 libvisio-dev,
 libwpd-dev,
 libwpg-dev,
 libxml-parser-perl,
 libxml2-dev (>= 2-2.4.24),
 libxslt1-dev,
 pkg-config,
 python-dev,
 python-lxml,
 python-numpy,
 zlib1g-dev
Standards-Version: 3.9.6

Package: inkscape
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 aspell,
 imagemagick,
 libwmf-bin,
 perlmagick,
 python-numpy,
 python-lxml,
 python-uniconvertor
Suggests:
 dia | dia-gnome,
 ruby,
 libgnomevfs2-extra,
 libsvg-perl,
 libxml-xql-perl,
 transfig,
 pstoedit
Conflicts: inkscape-trunk
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything you need to create
 professional-quality computer art.  You can use it to make diagrams and 
 illustrations, technical drawings, web graphics, clip art, icons and logos.
 A collection of hands-on tutorials show you how to combine lines, shapes, and
 text of different styles to build up a picture.
 .
 A selection of powerful vector graphics editing tools comes as standard. There
 is excellent support for paths, gradients, layers, alpha transparency, and 
 text flow control. An extensive library of filters allows you to apply 
 realistic effects, and extensions allow you to work with bitmaps, barcodes 
 and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe 
 Illustrator and AutoCAD files, and it has unrivalled support for the SVG web 
 graphics standard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules  for inkscape derived from a sample 
# provided by Joey Hess via dh_make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,bash-completion,python2 --parallel

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-dbusapi
